Debian DSA-4716-1 : docker.io - security update

Medium Nessus Plugin ID 138105

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 4

Synopsis

The remote Debian host is missing a security-related update.

Description

Etienne Champetier discovered that Docker, a Linux container runtime, created network bridges which by default accept IPv6 router advertisements. This could allow an attacker with the CAP_NET_RAW capability in a container to spoof router advertisements, resulting in information disclosure or denial of service.

Solution

Upgrade the docker.io packages.

For the stable distribution (buster), this problem has been fixed in version 18.09.1+dfsg1-7.1+deb10u2.

See Also

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=962141

https://security-tracker.debian.org/tracker/source-package/docker.io

https://packages.debian.org/source/buster/docker.io

https://www.debian.org/security/2020/dsa-4716

Plugin Details

Severity: Medium

ID: 138105

File Name: debian_DSA-4716.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2020/07/06

Updated: 2020/07/08

Dependencies: 12634

Risk Information

Risk Factor: Medium

VPR Score: 4

CVSS v2.0

Base Score: 6

Temporal Score: 4.4

Vector: CVSS2#AV:N/AC:M/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 6

Temporal Score: 5.2

Vector: CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:C/C:L/I:L/A:L

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:docker.io, cpe:/o:debian:debian_linux:10.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/07/02

Vulnerability Publication Date: 2020/06/02

Reference Information

CVE: CVE-2020-13401

DSA: 4716